Description

Supportanfrage

Ich hätte mal ein paar Fragen zum Dat-File splitting:

Wie habt ihr das bei euch im ADTF Recorder umgesetzt, dass die Aufnahme gesplittet wird?

Stoppt ihr die Aufnahme, setzt ein neuen Pfad und startet sie dann wieder?

Könnte man das prinzipiell so machen?

Werden in der Zwischenzeit die Daten gebuffert?

Schon mal vielen Dank für die Info.

Lösung

Stoppt ihr die Aufnahme, setzt ein neuen Pfad und startet sie dann wieder?

 Im Prinzip wird ein neues File weitergeschrieben mit entsprechenden Suffix.

Das "alte" Temp File wird finalisiert, das neue wird als referenced file eingetragen.

Werden in der Zwischenzeit die Daten gebuffert?

 Ja, das läuft in einer asynchronen Queue weiter.

ich muss aus einem Filter heraus die aktuell laufende Aufnahme splitten, wenn möglich ohne Verluste.

Zugriff habe ich über _runtime - jedoch nur auf start/stop soweit ich das gesehen habe.

Gut dass ich gefragt habe.

Das brauchst du alles gar nicht, schick einfach das entsprechende Event und überlass dem Recorder das Doing.

Alle deine Fragen sollten hier beantwortet werden:

Harddisk Recorder - Events received and emitted

History

#1 - 2018-08-07 13:54 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

- Customer set to AUDI

- Affected Products ADTF 3.3.2 added

#2 - 2018-08-07 13:55 - hidden
Betrifft ADTF 2.X

#3 - 2018-08-07 14:17 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Affected Products ADTF 2.14.2 added

- Affected Products deleted (ADTF 3.3.2)

Hi Anian,

Stoppt ihr die Aufnahme, setzt ein neuen Pfad und startet sie dann wieder?

 Im Prinzip wird ein neues File weitergeschrieben mit entsprechenden Suffix.

Das "alte" Temp File wird finalisiert, das neue wird als referenced file eingetragen.

Werden in der Zwischenzeit die Daten gebuffert?

 Ja, das läuft in einer asynchronen Queue weiter.

Was hast du denn vor ?

#4 - 2018-08-07 14:24 - hidden

Hi Flo,

ich muss aus einem Filter heraus die aktuell laufende Aufnahme splitten, wenn möglich ohne Verluste.

Zugriff habe ich über _runtime - jedoch nur auf start/stop soweit ich das gesehen habe.

#5 - 2018-08-07 14:28 - hidden

Hi Anian,

ich muss aus einem Filter heraus die aktuell laufende Aufnahme splitten, wenn möglich ohne Verluste.

Zugriff habe ich über _runtime - jedoch nur auf start/stop soweit ich das gesehen habe.

Gut dass ich gefragt habe.

Das brauchst du alles gar nicht, schick einfach das entsprechende Event und überlass dem Recorder das Doing.

Alle deine Fragen sollten hier beantwortet werden:

Harddisk Recorder - Events received and emitted

#6 - 2018-08-07 14:46 - hidden

Ah ok :)

Ja dann mach ich das so - ist das auch die bessere Vorgehensweise für die Start/Stop Events des Recorders?

#7 - 2018-08-07 15:08 - hidden

Genau dafür ist es gedacht...

#8 - 2018-08-07 15:31 - hidden

Funktioniert 1A.

Vielen Dank für die Unterstützung.

Kann dann zu...

#9 - 2018-08-07 15:48 - hidden

- Subject changed from Harddisk Recorder Dat Split to Trigger Splitting of DAT Files

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#10 - 2018-09-11 15:46 - hidden
- Status changed from To Be Closed to Closed

- Private changed from Yes to No
